<template>
	<page-container :title="title" :showBack="true">
		<rich-text :nodes="content"></rich-text>
	 
	</page-container>
</template>

<script>
import PageContainer from '@/components/page-container/page-container.vue'
import { getDanYe } from '@/common/server/config'

export default {
	components: {
		PageContainer
	},
	onLoad(options) {
		console.log(options)
		if (options.advert) {
			this.load(options.advert)
		}
	},
	data() {
		let title = '';
		// // uni.getStorageSync('title')
		// title = uni.getStorageSync('fuliwu_title')
		return {
			title,
			content: []
		};
	},
	methods: {
		async load(advert) {
			const data = await getDanYe(advert);
			if (data) {
				// this.list = data;
				if (this.title == '') {
					this.title = data.title;
				}
				this.content = data.content
			}
		},
	}
}
</script>

<style lang="scss"></style>
